# DeltaTimeCalculator | SDF-2D - v0.7.0
Documentation for SDF-2D - v0.7.0

A helper class for calculating the elapsed time between frames.

Handles the case, where the browser tab is not in focus and `requestAnimationFrame` does not get called for performance reasons. In this case, the return deltaTime won't be an unreasonably large value.

### Hierarchy

- DeltaTimeCalculator

## Index

### Constructors

- constructor

### Methods

- destroy
- getNextDeltaTime

## Constructors

### constructor

- new DeltaTimeCalculator(): DeltaTimeCalculator

- - Defined in helper/delta-time-calculator.ts:10

  #### Returns DeltaTimeCalculator

## Methods

### destroy

- destroy(): void

- - Defined in helper/delta-time-calculator.ts:35

  #### Returns void

### getNextDeltaTime

- getNextDeltaTime(currentTime: DOMHighResTimeStamp): DOMHighResTimeStamp

- - Defined in helper/delta-time-calculator.ts:25

  Return the elapsed time in milliseconds since the previous call of this method by subtracting the previously given `currentTime` argument from the current `currentTime` argument.

  Takes visibilitychange events into account.

  #### Parameters

  - ##### currentTime: DOMHighResTimeStamp

    Current time acquired e.g. with `requestAnimationFrame`.

  #### Returns DOMHighResTimeStamp